
import sys
import os
import utilities

# Añadir el directorio del SDK al PYTHONPATH usando una ruta relativa
script_dir = os.path.dirname(os.path.abspath(__file__))  # Directorio actual del script
sdk_path = os.path.join(script_dir, '..', 'sdk')  # Subir un nivel y apuntar a 'sdk'
sys.path.insert(0, sdk_path)

# Ahora importa las clases desde tu archivo sdk.py

from sdk import ServiceDiscoverer
def showcase_access_token_retrieval_from_capif():
    service_discoverer = ServiceDiscoverer(config_file=utilities.get_config_file())
    service_discoverer.discover()


if __name__ == "__main__":
    # The following code assumes that you have already registered the net app to capif.
    # showcase_service_discovery()
    # showcase_retrieve_endpoint_url_from_tsn()
    showcase_access_token_retrieval_from_capif()
    print("COMPLETED")
